-- Version 0.0.1
-- Author AliasAlreadyTaken
-- License MIT

-- Changelog

local mod_start_time = minetest.get_us_time()
minetest.log("action", "[MOD] yl_cities loading")

yl_cities = {}
yl_cities.error = {}
yl_cities.modname = minetest.get_current_modname()
yl_cities.modstorage = minetest.get_mod_storage()
yl_cities.modpath = minetest.get_modpath("yl_cities") .. DIR_DELIM
yl_cities.worldpath = minetest.get_worldpath() .. DIR_DELIM

dofile(yl_cities.modpath .. "texts.lua")
dofile(yl_cities.modpath .. "information.lua")
dofile(yl_cities.modpath .. "config.lua")
--dofile(yl_cities.modpath .. "setup.lua")
--dofile(yl_cities.modpath .. "privs.lua")
--dofile(yl_cities.modpath .. "internal.lua")
--dofile(yl_cities.modpath .. "api.lua")
--dofile(yl_cities.modpath .. "initialize.lua")
--dofile(yl_cities.modpath .. "distinct_feature.lua")
--dofile(yl_cities.modpath .. "overwrite_feature.lua")
--dofile(yl_cities.modpath .. "globalsteps.lua")
--dofile(yl_cities.modpath .. "chatcommands.lua")

local mod_end_time = (minetest.get_us_time() - mod_start_time) / 1000000
minetest.log("action", "[MOD] yl_cities loaded in [" .. mod_end_time .. "s]")
